REST Documentation

View InboundXML Docs

Update Incoming Number

Many resource properties of a TelAPI incoming phone number can easily be updated via the REST API.

Request URI

Phone number properties can be updated using the HTTP POST method. The format of the URI used to make the POST request is below.

POST https://api.telapi.com/v1/Accounts/{AccountSid}/IncomingPhoneNumbers/{IncomingPhoneNumberSid}

Parameters

The following case-sensitive parameters can be used to specify the phone number property you wish to update using POST.

Parameter Description
optional
User generated name for the incoming number.
optional
The URL returning InboundXML incoming calls should execute when connected.
optional
Specifies the HTTP method used to request the VoiceUrl once incoming call connects.
Default Value:
POST
Allowed Value:
POST or GET
optional
URL used if any errors occur during execution of InboundXML on a call or at initial request of the VoiceUrl.
optional
Specifies the HTTP method used to request the VoiceFallbackUrl once incoming call connects.
Default Value:
POST
Allowed Value:
POST or GET
optional
lookup the caller's caller ID name from the CNAM database (additional charges apply).
Default Value:
false
Allowed Value:
true or false
optional
The URL returning InboundXML incoming phone numbers should execute when receiving an SMS.
optional
Specifies the HTTP method used to request the SmsUrl once an incoming SMS is received.
Default Value:
POST
Allowed Value:
POST or GET
optional
URL used if any errors occur during execution of InboundXML from an SMS or at initial request of the SmsUrl.
optional
Specifies the HTTP method used to request the SmsFallbackUrl.
Default Value:
POST
Allowed Value:
POST or GET
optional
URL that can be used to monitor the phone number.
optional
The HTTP method TelAPI will use when requesting the HeartbeatURL.
Default Value:
POST
Allowed Value:
POST or GET
optional
URL that can be requested to receive notification when and how incoming call has ended.
optional
The HTTP method TelAPI will use when requesting the HangupCallback URL.
Default Value:
POST
Allowed Value:
POST or GET
optional
The URL returning InboundXML incoming phone numbers should execute when receiving a fax.
optional
Specifies the HTTP method used to request the FaxUrl once an incoming fax is received.
Default Value:
POST
Allowed Value:
POST or GET

Example Response

Below is an what a response may look like when updating one of your TelAPI numbers.



Helper Example

Our helper libraries simplify the task of making REST API calls while programming. The code below will perform a request to TelAPI.